# Generated by Django 2.2.1 on 2019-07-06 21:48

import datetime
from django.db import migrations, models
from django.utils.timezone import utc


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Broadcast',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=200)),
                ('text', models.TextField()),
                ('create_date', models.DateTimeField(default=datetime.datetime(2019, 7, 6, 21, 48, 58, 833523, tzinfo=utc))),
                ('publication_date', models.DateTimeField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Catalogue',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(max_length=32)),
                ('category', models.CharField(max_length=200)),
                ('author', models.CharField(max_length=200)),
                ('title', models.CharField(max_length=200)),
                ('edition', models.CharField(max_length=32)),
                ('publisher', models.CharField(max_length=200)),
                ('publish_date', models.DateTimeField(blank=True, null=True)),
                ('is_available', models.BooleanField(default=False)),
            ],
        ),
    ]
